## python-plaster 1.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/plaster.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/plaster.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/plaster"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/plaster"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-plaster 1.0

=== debian/changelog ===
python-plaster (1.0-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.
  * watch file standard 4 (routine-update)
  * Make sure *.egg-info files of test examples will not be removed by
    dh-python's clean target.  The solution is pretty hackish but finally
    works
    Closes: #1052866
  * Fix clean target
    Closes: #1047867

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 09:01:25 +0100

python-plaster (1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-plaster-doc: Add Multi-Arch: foreign.

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 02:03:11 -0400

python-plaster (1.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #938030).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 27 Sep 2019 00:49:34 +0500

python-plaster (1.0-1) unstable; urgency=medium

  * Initial release.
    - Package Python 2 version as it is needed to update python-pyramid to
      the latest upstream.

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 19 Apr 2018 23:54:00 +0200

=== debian/control ===
Source: python-plaster
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               rsync
Standards-Version: 4.6.2
Homepage: https://pylonsproject.org/projects/plaster/about
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-plaster.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-plaster

Package: python3-plaster
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python multi-format configuration file loader interface - Python 3.x module
 plaster is a loader interface around arbitrary config file formats. It exists
 to define a common API for applications to use when they wish to load
 configuration settings.
 .
 The library itself does not aim to handle anything except a basic API that
 applications may use to find and load configuration settings. Any specific
 constraints should be implemented in a pluggable loader which can be registered
 via an entrypoint.
 .
 This package provides the Python 3 version of the module.

Package: python-plaster-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python multi-format configuration file loader interface - Documentation
 plaster is a loader interface around arbitrary config file formats. It exists
 to define a common API for applications to use when they wish to load
 configuration settings.
 .
 The library itself does not aim to handle anything except a basic API that
 applications may use to find and load configuration settings. Any specific
 constraints should be implemented in a pluggable loader which can be registered
 via an entrypoint.
 .
 This package provides the documentation of the module.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf docs/_build

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src $(MAKE) -C docs html
endif

override_dh_installdocs:
	dh_installdocs -ppython-plaster-doc --doc-main-package=python3-plaster
	dh_installdocs --remaining-packages

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/save-egg-files-from-dh_python/ && tar xaf eggs.tar.gz
	rsync -a -v debian/save-egg-files-from-dh_python/app* tests/fake_packages
	dh_auto_test
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/plaster/plaster-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-plaster 1.1.2

=== debian/changelog ===
python-plaster (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Add more defaults
  * d/watch: Move over to Git mode on GitHub
  * New upstream version 1.1.2
  * Rebuild patch queue from patch-queue branch
    Adjusted/renamed patch:
    remove_pylons_sphinx_theme.patch
    -> docs-Remove-Pylons-sphinx-theme.patch
  * d/*: Running wrap-and-sort -ast
  * d/control: Use dh-sequence-sphinxdoc
  * d/rules: Drop --with option in default target
  * d/control: Use pybuild-plugin-pyproject in B-D
  * d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * d/control: Update project homepage pointing to GutHub
  * d/u/metadata: Add link to Documentation
  * d/python-plaster-doc.doc-base: Adding base-doc file
  * d/u/signing-key.asc: Drop the key
  * d/rules: Use PYBUILD_NAME to set module name
  * d/rules: Use a dedicated override_dh_sphinxdoc target
  * d/rules: Adjust dh_clean to remove mypy cache files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Dec 2024 18:45:36 +0200

=== debian/control ===
Source: python-plaster
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Nicolas Dandrimont <olasd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 rsync,
Standards-Version: 4.7.0
Homepage: https://github.com/Pylons/plaster
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-plaster.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-plaster

Package: python-plaster-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python multi-format configuration file loader interface - Documentation
 plaster is a loader interface around arbitrary config file formats. It exists
 to define a common API for applications to use when they wish to load
 configuration settings.
 .
 The library itself does not aim to handle anything except a basic API that
 applications may use to find and load configuration settings. Any specific
 constraints should be implemented in a pluggable loader which can be registered
 via an entrypoint.
 .
 This package provides the documentation of the module.

Package: python3-plaster
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python multi-format configuration file loader interface - Python 3.x module
 plaster is a loader interface around arbitrary config file formats. It exists
 to define a common API for applications to use when they wish to load
 configuration settings.
 .
 The library itself does not aim to handle anything except a basic API that
 applications may use to find and load configuration settings. Any specific
 constraints should be implemented in a pluggable loader which can be registered
 via an entrypoint.
 .
 This package provides the Python 3 version of the module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=plaster

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .mypy_cache

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src \
	    python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-plaster-doc/usr/share/doc/python-plaster-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/save-egg-files-from-dh_python/ && tar xaf eggs.tar.gz
	rsync -a -v debian/save-egg-files-from-dh_python/app* tests/fake_packages
	dh_auto_test
endif

=== debian/tests/control ===
Depends:
 python3-all,
 @,
Test-Command: for p in $(py3versions -s); do $p -c 'import plaster; print(plaster)'; done

Depends:
 python3-all,
 python3-pytest,
 @,
Test-Command: cp -r tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP; for p in $(py3versions -s); do $p -m pytest; done

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/Pylons/plaster.git \
      refs/tags/@ANY_VERSION@
